
Redmine - Defect #9845

Changes to Wiki content are lost when using Back button

2011-12-20 01:56 - Jevon Wright

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 1.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

When editing a Wiki page, it is far too easy to accidentally click on the Back button in the browser and lose all changes to the page.

Normally this is solved by adding an onUnload handler to the page, that asks the user to confirm that they would like to lose their

changes. It should be adequate to only register this on changes to the Wiki text itself.

Related issues:

Related to Redmine - Feature #2910: Warning on leaving edited issue/wiki page... Closed 2009-03-05

History

#1 - 2011-12-20 02:06 - Jevon Wright

I see that this is similar to issue #8468, which also fails on my install. How would I find out my current Redmine version?

#2 - 2011-12-20 09:00 - Etienne Massip

In Administration > Informations screen.

The warning you're talking about has been implemented with #2910 for 1.2.0.

#3 - 2011-12-20 22:36 - Jevon Wright

Thanks, I see we're running 1.0.1.stable so you can mark this bug as invalid. :)

#4 - 2011-12-20 23:03 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

#5 - 2011-12-20 23:03 - Etienne Massip

- Resolution changed from Invalid to Duplicate
